#!/bin/bash
out="$1"
dir=$(dirname "$out")
shift
geom=$(jpegtopnm "$1" | head -2 | tail -1)
w="$(echo $geom | cut -d " " -f1)"
h="$(echo $geom | cut -d " " -f2)"
exec > $out
echo "JPEGLIST"
echo "# First line is always JPEGLIST"
echo "# Frame rate:"
echo "29.970030"
echo "# Width:"
echo "$w"
echo "# Height:"
echo "$h"
echo "# List of image files follows"
while [ $# -gt 0 ]; do
  if [ x$(dirname "$1") = x"$dir" ]; then
	  f=./`basename "$1"`;
  else
	  f="$1";
  fi
  echo "$f"
  shift
done
